#
# spec file for package perl-IO-stringy (Version 2.110)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           perl-IO-stringy
License:        Artistic License
Group:          Development/Libraries/Perl
URL:            http://www.zeegee.com/code/perl/IO-stringy/
Provides:       p_iostrn
Obsoletes:      p_iostrn
Requires:       perl = %{perl_version}
Autoreqprov:    on
Summary:        I/O on in-core objects like strings and arrays
Version:        2.110
Release:        13.2
Source:         IO-stringy-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
I/O on in-core objects like strings and arrays



Authors:
--------
    Eryq <eryq@zeegee.com>

%debug_package
%prep
%setup -n IO-stringy-%{version}
# ---------------------------------------------------------------------------

%build
perl Makefile.PL
make
# ---------------------------------------------------------------------------

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%files
%defattr(-,root,root)
%{perl_vendorlib}/IO
%{perl_vendorarch}/auto/IO
%{perl_vendorarch}/auto/IO/Stringy
%doc %{_mandir}/man3/*.gz
/var/adm/perl-modules/perl-IO-stringy
%doc MANIFEST COPYING README* 

%changelog -n perl-IO-stringy
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Apr 15 2005 - schubi@suse.de
- update to 2.110
* Fri Feb 27 2004 - choeger@suse.de
- update to most recent version 2.109
* Sun Jan 11 2004 - adrian@suse.de
- add %%defattr
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Thu Jul 17 2003 - choeger@suse.de
- use install_vendor and new %%perl_process_packlist macro
* Mon May 19 2003 - choeger@suse.de
- remove installed (but unpackaged) file perllocal.pod
* Thu Aug 08 2002 - mls@suse.de
- use sitearch macro
* Tue Jul 02 2002 - mls@suse.de
- remove race in .packlist generation
* Sun Jan 13 2002 - link@suse.de
- update to v2.108
* Wed Nov 15 2000 - choeger@suse.de
- long package name
- buildroot
* Wed Jul 19 2000 - choeger@suse.de
- first package, v1.212
